Bug 205600 - NullPointerException at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.copyWCToRepos
NullPointerException at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.copy...
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
7.0
All All
: P3 (vote)
: 7.1.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
EXCEPTIONS_REPORT, 71patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-28 10:46 UTC by fedind
Modified: 2012-02-22 12:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (2.48 KB, text/plain)
2011-11-28 10:46 UTC, fedind
Details

Note You need to log in before you can comment on or make changes to this bug.
Description fedind 2011-11-28 10:46:00 UTC
Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) 64-Bit Server VM, 19.0-b09, Java(TM) SE Runtime Environment, 1.6.0_23-b05
OS: Windows 7

User Comments:
fedind: Copying file from local to svn branch




Stacktrace: 
java.lang.NullPointerException
   at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.copyWCToRepos(SVNCopyDriver.java:673)
   at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.setupCopy(SVNCopyDriver.java:622)
   at org.tmatesoft.svn.core.wc.SVNCopyClient.doCopy(SVNCopyClient.java:426)
   at org.tmatesoft.svn.core.javahl.SVNClientImpl.copyOrMove(SVNClientImpl.java:795)
   at org.tmatesoft.svn.core.javahl.SVNClientImpl.copy(SVNClientImpl.java:724)
   at org.tigris.subversion.svnclientadapter.javahl.AbstractJhlClientAdapter.copy(AbstractJhlClientAdapter.java:727)
Comment 1 fedind 2011-11-28 10:46:02 UTC
Created attachment 113570 [details]
stacktrace
Comment 2 Marian Mirilovic 2011-11-30 00:44:28 UTC
It isn't our implementation of SVN, is it ?
Comment 3 Ondrej Vrabec 2011-11-30 11:53:21 UTC
> It isn't our implementation of SVN, is it ?
the exceptions comes from a 3rd party library. However it can be avoided by the following fix on our side: http://hg.netbeans.org/core-main/rev/bb562f9f5bb8
Comment 4 Quality Engineering 2011-12-01 12:11:17 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/bb562f9f5bb8
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #205600 - NullPointerException at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.copyWCToRepos
copy action should be disabled for not yet committed files
Comment 5 Stepan Zebra 2012-02-09 12:50:08 UTC
verified in trunk
Comment 6 Ondrej Vrabec 2012-02-09 13:47:53 UTC
http://hg.netbeans.org/releases/rev/582ce7e7e7e4
Comment 7 Quality Engineering 2012-02-10 02:34:18 UTC
Integrated into 'releases', will be available in build *201202092200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/582ce7e7e7e4
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #205600 - NullPointerException at org.tmatesoft.svn.core.internal.wc.SVNCopyDriver.copyWCToRepos
copy action should be disabled for not yet committed files
(transplanted from bb562f9f5bb8a4ee04c216377032fa7795d1699c)
Comment 8 Stepan Zebra 2012-02-22 12:59:50 UTC
verified in 7.1.1 RC1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo